| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
Digikam::FilmContainer Class Reference

## Classes
class | ListItem

## Public Types
enum | CNFilmProfile { CNNeutral = 0 , CNKodakGold100 , CNKodakGold200 , CNKodakEktar100 , CNKodakProfessionalPortra160NC , CNKodakProfessionalPortra160VC , CNKodakProfessionalPortra400NC , CNKodakProfessionalPortra400VC , CNKodakProfessionalPortra800Box , CNKodakProfessionalPortra800P1 , CNKodakProfessionalPortra800P2 , CNKodakProfessionalNewPortra160 , CNKodakProfessionalNewPortra400 , CNKodakFarbwelt100 , CNKodakFarbwelt200 , CNKodakFarbwelt400 , CNKodakRoyalGold400 , CNAgfaphotoVistaPlus200 , CNAgfaphotoVistaPlus400 , CNFujicolorPro160S , CNFujicolorPro160C , CNFujicolorNPL160 , CNFujicolorPro400H , CNFujicolorPro800Z , CNFujicolorSuperiaReala , CNFujicolorSuperia100 , CNFujicolorSuperia200 , CNFujicolorSuperiaXtra400 , CNFujicolorSuperiaXtra800 , CNFujicolorTrueDefinition400 , CNFujicolorSuperia1600 }

## Public Member Functions
| FilmContainer (CNFilmProfile profile, double gamma, bool sixteenBit)
bool | applyBalance () const
CNFilmProfile | cnType () const
double | exposure () const
double | gamma () const
void | setApplyBalance (bool val)
void | setCNType (CNFilmProfile profile)
void | setExposure (double strength)
void | setGamma (double val)
void | setSixteenBit (bool val)
void | setWhitePoint (const DColor &wp)
CBContainer | toCB () const
LevelsContainer | toLevels () const
DColor | whitePoint () const

## Static Public Member Functions
static QList< ListItem * > | profileItemList (QListWidget *const view)

## Static Public Attributes
static const QMap< int, QString > | profileMap = FilmContainer::profileMapInitializer()